Subject: Detailed Neustar answers (Re: Progress report......)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 26 Jan 2005 10:12:31 +0100

In this note, I'll attempt to answer each of your questions as they were 
written. Note - these are my opinions only; I have NOT cleared them with 
the rest of the transition team.

Snipping off the introductory material:

> In particular, Leslie's note raises the following questions for
> me.
> If others have other questions, I think this is the right time
> to identify them.
>
> (1) The note indicates that "the Transition Team is favorably
> inclined to consider a proposal from NeuStar for continuing
> Secretariat services...".  Does that language imply that the
> Transition Team believes that it has the authority to accept
> such a proposal, without waiting for the IAD and IAOC to be in
> place?

No.

The transition team believes that it is able to form an opinion, state that 
opinion to Neustar, and present that opinion to the community and the IAOC 
when that is established, but it does not have the authority to bind either 
the IETF, ISOC or the future IAOC.

> (2) During the brief, and (I believe necessarily) very indirect,
> discussion of this plan at the Washington Plenary, it seemed to
> be the plan that such a transfer would involve a transfer of any
> and all CNRI IPR claims (past, present, or future) that related
> to the IETF, its name, its work, etc., to the purchaser.  The
> note says "All future intellectual property will be
> unequivocally accessible to the IETF and the community".  Does
> that imply that this deal would leave some past or present IPR
> issues unresolved?

This is called "wiggle room".... at the current state of negotiations, it 
seems that CNRI intends to give Neustar permission to use some IPR that 
relates to the IETF, but will not transfer that IPR to Neustar. If it is 
transferred at all, it will be transferred to an entity that the IETF or 
its representative approves of. (Note: This is my interpretation of CNRI's 
stance as of some time ago. I can give no guarantees either that it was 
correct then or that it is still correct.)
(Note(2): The statement above does not say anything about what I believe 
that CNRI owns. Separate topic.)
However, once Neustar enters into a contract with the IAOC, I believe that 
the contract will state that IPR created under that contract will be 
unequivocally accessible to teh IETF and the community. Neustar has said 
that this is something they want to be clear, and are happy with.

> (3) Assuming Neustar acquires all of the putative CNRI IPR
> rights in this deal, is the planned transfer when the
> Neustar/Foretec "arrangement" (I notice that the note doesn't
> say "contract") ends, or are they prepared to transfer all of
> those claimed rights to the IETF/IASA/ISOC unconditionally and
> as soon as they acquire them?

See above - Neustar has indicated that it will be happy to transfer any 
rights that it acquires to IETF/IASA/ISOC as soon as possible, but there 
are rights that it does not expect to acquire.

> (4) I'm listing this separately because it really isn't an IPR
> issue as such, but...   From time to time, there have been
> suggestions that, if ISOC assumes any role in operating,
> sponsoring, or overseeing the IETF Secretariat or related
> functions, CRNI would sue them under the terms of an agreement
> that CRNI believes was made some years ago.  If Neustar, or
> someone else, acquires of ownership, does CNRI intend to
> irrevocably waive any rights it might have (or believe it has)
> against ISOC, the IETF, or anyone else to operate or oversee the
> secretariat or to determine who does operate the secretariat?
> If they do not, where does that leave us with regard to getting
> the IASA up and functioning as "an IETF-controlled activity
> within the Internet Society"?

I'll leave the details of the ISOC/CNRI relation to Bob Kahn - I still have 
not seen a statement that makes it clear exactly what the issue is. The 
closest I have come is the statement that "we had a firm verbal agreement", 
but exactly what the terms of that agreement were, I cannot tell.

> (5) The note indicates three other goals which this deal would
> accomplish, namely:
>
>> o The IASA operation will be in place as an IETF-controlled
>> activity within the Internet Society
>>
>> o There will be full financial transparency and accountability
>>
>> o There will be full management accountability
>
> The first of these seems to be to be entirely between the IETF
> community and ISOC, as documented in the draft BCP.  It seems to
> me that, at least modulo the issue raised in (4) above,
> arrangements between CNRI, Neustar, or others are neither
> necessary nor sufficient (or even contributory) for that to
> occur.  Do I misunderstand something about this, or are there
> conditions and considerations in this arrangement (such as
> concerns about the possible litigation referred to above that
> the transition team (and/or IAB, IESG, or ISOC) have not told
> the community about?
>
> "Full financial transparency and accountability" and "full
> management accountability" are principles, lacking operational
> definitions.   As I understand the BCP, part of the role that
> the community is delegating to the IAD and IAOC (subject to a
> greater or lesser amount of community review once they generate
> proposals and drafts) was to translate those principles into
> contractual language and to accept proposals only from those who
> were willing to agree to them.  Is a Neustar/Foretec definition
> now to be substituted?  A Transition Team definition?   And, if
> the answer to either of those questions is "yes", what mechanism
> is anticipated for community input and (pre-decision) review?

As the transition team understands it, IETF will establish the IASA no 
matter what happens between CNRI and Neustar. If the Neustar deal goes 
through, Neustar has said that it is happy to write a contract with IASA 
that specifies the transparency and accountability requirements that it 
enters into. While I should be careful about predicting the outcome of 
negotiations that haven't occured yet, Neustar seems very open to embedding 
the kinds of principles that we are looking for.

Until we have the contract in place, we will be in the same situation as we 
are today: We are looking at, and discussing with, a body that performs a 
secretariat function that helps us get our work done, but the IETF has no 
formal control over what that body does, and that body has no formal 
obligation to the IETF. No change.....

> (6) Another statement in the note is that...
>
>> 1. This arrangement would be for a limited period of time,
>> after which the IASA will review the performance and proceed
>> to an open RFP (in which this new company could reasonably
>> compete)
>
> I have two questions about this as written (I may just be
> reading too much into the text).   The first is another one of
> those issues about contracts (or "arrangements" in lieu of
> contracts) in advance of the IAOC being in place.  Who
> determines what is an appropriate period of time?
> Neustar/Foretec?  The Transition Team?  In the (IMO extremely
> unlikely) event that their performance is unsatisfactory, will
> the "arrangement" come with early termination clauses that IAOC
> can exercise without litigation and without loss of any rights?

In this paragraph, the "arrangement" was intended to mean the contract that 
is negotiated beween Neustar and the IAOC. That contract will have an end 
date, and it WILL have early termination clauses.

> (7) The notion of a performance review _at the end of_ that
> "limited period of time" is a variance with several of the
> discussions that have been going on about the BCP in recent
> days.  Can it be brought into better alignment with whatever the
> BCP discussions conclude?

I'm not sure what alignment mismatch you see - the BCP is (deliberately) 
not terribly prescriptive on when performance reviews occur.
I'm certain some evaluation will be continuous, but it seems logical to do 
a "zero-based" performance review (ie don't just look at "is it doing 
better than before" but "is it within <delta> of the best we can achieve 
given our situation") as the time draws near when the IASA has to decide 
what to do next.
>
> (8) Is "an open RFP  (in which this new company could reasonably
> compete)" intended to be consistent with the "no assumption that
> the task is needed (at least as defined), no assumption that all
> staff are indeed needed, etc." model that was formerly described
> as "zero base".

Yes.

> (9) When that hypothetical "open RFP" is issued, will the new
> organization get any special status as a consequence of
> incumbency?  E.g., will the RFP (or evaluation process for bids)
> permit them to claim some advantage on the basis of familiarity
> with the IETF and its work, prior good deeds, familiarity with
> custom-built tools, or similar experience?   While logic argues
> that they should --greater familiarity should translate to
> improved efficiency and/or lower costs-- the effect could be
> similar to a permanent allocation to Neustar/Foretec (unless
> they screw up), under conditions not completely determined by
> the IASA, which might make many of the efforts of the last few
> months somewhat irrelevant.

The organization will certainly be able to argue for lower transition costs 
and a less steep learning curve. I believe that it would be foolish not to 
allow them to make that argument.
However, I (personally) think that there's value in flexible thinking about 
where resources are allocated - for instance, the transition team has 
briefly considered the option of making "permanent institutional memory" in 
the form of archives a separate task that is carried out outside the 
present "secretariat" framework - since Carl's reports indicate that this 
task may need a different skillset, and different resources, than the 
secretariat currently has.

> (10)  I also wonder about the possible interactions between this
> arrangement and the process of selecting an IAD.   If the basic
> IASA design stays in place, as the note indicates, the IAD is
> responsible to the IASA and the IETF for the performance of the
> Secretariat operator (or, more specifically, for the
> standards-support and meetings functions).    Under the model as
> outlined in the draft BCP, the IAD can presumably arrange the
> RFPs and contracts so as to have adequate controls _in the
> judgment of whomever is the IAD_ to make that level of
> responsibility feasible.  If the IAD doesn't have any control
> over what is in those contracts, but still have responsibility
> for performance, isn't that going to make it much more difficult
> for us to persuade someone competent (and sane) to take that
> position?   Do we need to change the BCP to relax the IAD's
> responsibilities for ensuring performance during the term of
> this "arrangement"?
>
> Or, more generally, if the IAD is expected to act merely as a
> conduit for information between the IETF leadership and
> Neustar/Foretec, is the job description correct (at least for
> the duration of the Neustar arrangement) and does the job really
> require a full-time person.

I believe the IAD should be negotiating those contracts, and that these 
contracts should have adequate controls. And I believe that this can EASILY 
consume a full-time employee.....

> (11) Finally, if this arrangement is going to be concluded
> before the full IAOC is seated and the IAD is hired, what is the
> mechanism by which the IETF community gets to review and approve
> the arrangement itself?  Will there be a document that responds
> to the questions above and that specifies general mechanisms for
> operation that is Last Called?     Are the conditions of this
> arrangement likely to override the provisions of the draft BCP
> in any way, especially with regard to reviews and appeals and,
> if so, how will community input be obtained on whether those
> conditions are appropriate?  And will be draft BCP be modified
> with a good deal of "during the Neustar/Foretec transition
> period" language or do we intend to start ignoring its
> provisions even before we have settled on them?

The arrangement between CNRI and Neustar is out of our control, except for 
the fact that Neustar will not enter a deal that it believes the IETF will 
not accept.
The contract between Neustar and IASA will not be concluded before the IASA 
is in place - the transition team cannot bind the IASA.

In conclusion - I believe the Neustar arrangement does not lead to the need 
for changes to the BCP. We still need all the BCP mechanisms.

                       Harald 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Wed, 26 Jan 2005 11:25:58 -0500

Many thanks for the in-depth response.

--On Wednesday, 26 January, 2005 10:12 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

(everything on which I think your response is completely
satisfactory snipped)

>...
>> (2) During the brief, and (I believe necessarily) very
>> indirect, discussion of this plan at the Washington Plenary,
>> it seemed to be the plan that such a transfer would involve a
>> transfer of any and all CNRI IPR claims (past, present, or
>> future) that related to the IETF, its name, its work, etc.,
>> to the purchaser.  The note says "All future intellectual
>> property will be unequivocally accessible to the IETF and the
>> community".  Does that imply that this deal would leave some
>> past or present IPR issues unresolved?
> 
> This is called "wiggle room".... at the current state of
> negotiations, it seems that CNRI intends to give Neustar
> permission to use some IPR that relates to the IETF, but will
> not transfer that IPR to Neustar. If it is transferred at all,
> it will be transferred to an entity that the IETF or its
> representative approves of. (Note: This is my interpretation
> of CNRI's stance as of some time ago. I can give no guarantees
> either that it was correct then or that it is still correct.)

Just to be sure I understand what you are saying above... To the
extent to which CNRI's beliefs about what it owns are valid and
enforceable, doesn't that situation effectively give CNRI, and
not the IETF or IASA, the choice, forever, over who operates the
secretariat?  Patents at least expire.  If we are not going to
walk away from whatever they are claiming rights to, has the
transition team considered whether deferring that dispute might
not make it worse?  In particular, has the transition team
consulted with counsel as to whether Neustar's accepting CNRI's
"permission" to use that IPR on behalf of the IETF could be
construed as IETF acceptance of those claims, hence making
things more difficult later? 

> (Note(2): The statement above does not say anything about what
> I believe that CNRI owns. Separate topic.)
> However, once Neustar enters into a contract with the IAOC, I
> believe that the contract will state that IPR created under
> that contract will be unequivocally accessible to teh IETF and
> the community. Neustar has said that this is something they
> want to be clear, and are happy with.

Good. I assumed this from Leslie's note.

> See above - Neustar has indicated that it will be happy to
> transfer any rights that it acquires to IETF/IASA/ISOC as soon
> as possible, but there are rights that it does not expect to
> acquire.
 
>> against ISOC, the IETF, or anyone else to operate or oversee
>> the secretariat or to determine who does operate the
>> secretariat? If they do not, where does that leave us with
>> regard to getting the IASA up and functioning as "an
>> IETF-controlled activity within the Internet Society"?
> 
> I'll leave the details of the ISOC/CNRI relation to Bob Kahn -
> I still have not seen a statement that makes it clear exactly
> what the issue is. The closest I have come is the statement
> that "we had a firm verbal agreement", but exactly what the
> terms of that agreement were, I cannot tell.

I understand.  But if, as implied by his posting yesterday and
some prior comments, CNRI is likely to try to prevent the
establishment of an IASA within an ISOC framework (at least on
that has any authority vis-a-vis the secretariat), then the
claim that this deal accomplishes many of the goals of the BCP
is a little dubious, isn't it?

>> community and ISOC, as documented in the draft BCP.  It seems
>> to me that, at least modulo the issue raised in (4) above,
>> greater or lesser amount of community review once they
>> generate proposals and drafts) was to translate those
>> principles into contractual language and to accept proposals
>> only from those who were willing to agree to them.  Is a
>> Neustar/Foretec definition now to be substituted?  A
>> Transition Team definition?   And, if the answer to either of
>> those questions is "yes", what mechanism is anticipated for
>> community input and (pre-decision) review?
> 
> As the transition team understands it, IETF will establish the
> IASA no matter what happens between CNRI and Neustar. If the
> Neustar deal goes through, Neustar has said that it is happy
> to write a contract with IASA that specifies the transparency
> and accountability requirements that it enters into. While I
> should be careful about predicting the outcome of negotiations
> that haven't occured yet, Neustar seems very open to embedding

I apologize for splitting hairs in what is probably just English
usage, but there is a huge difference between "happy to write a
contract with IANA" and "happy to agreed to an IASA-specified
contract".  And of course, I don't know (and you presumably
don't know either) what conditions CNRI might attach to either
the deal or to those "permissions" that would constrain
Neustar's ability to agree to provisions the IAD/IAOC might
specify.

> Until we have the contract in place, we will be in the same
> situation as we are today: We are looking at, and discussing
> with, a body that performs a secretariat function that helps
> us get our work done, but the IETF has no formal control over
> what that body does, and that body has no formal obligation to
> the IETF. No change.....

And, as I pointed out in my earlier note, no change based on
whether the IETF reaches some long term agreement with Neustar
immediately or waits until the IASA can issue and RFP on which
Neustar can compete (with the obvious advantages over other
bidders of staff experience) as long as their agreement with
CNRI does not prevent that.

>> days.  Can it be brought into better alignment with whatever
>> the BCP discussions conclude?
> 
> I'm not sure what alignment mismatch you see - the BCP is
> (deliberately) not terribly prescriptive on when performance
> reviews occur.

Part of my understanding of the Sam-Avri-Mike-myself (and
others) discussions is that they are about who can induce
reviews --internal or external-- whether about specific
decisions, mechanisms for making decisions, or about performance
generally.  And I have understood the BCP to suggest that the
IAOC will make decisions, with appropriate community input,
about what reviews are appropriate for each case and then write
those decisions into RFPs and contracts.  By saying that a
performance review will occur at the end of the "limited period
of time" (i.e., the contract (?)), it seems to me that Leslie's
text/proposal preempts the responsibility of the IAOC to make
that decision.

> I'm certain some evaluation will be continuous, but it seems
> logical to do a "zero-based" performance review (ie don't just
> look at "is it doing better than before" but "is it within
> <delta> of the best we can achieve given our situation") as
> the time draws near when the IASA has to decide what to do
> next.

I'm concerned about a different case, which you have commented
about on several occasions, which is a secretariat that, for
whatever reason, becomes unresponsive to the needs of the IETF
(at least as perceived by the leadership).  Good management
practice --and I believe that part of the purpose of the Admin
Reorg process was to get us closer to good management practices
-- would argue for detecting those problems early, having tools
for correcting them short of contract termination, and getting
them fixed.  Mere "openness and transparency" is not enough for
accomplish that -- the organization and contract has to be
structured so that IAD can induce responsiveness.  Nothing you
have said leads me to be convinced that the IAD/IAOC can
determine those contractual provisions as it believes
appropriate.

>> incumbency?  E.g., will the RFP (or evaluation process for
>> bids) permit them to claim some advantage on the basis of
>> familiarity with the IETF and its work, prior good deeds,
>> familiarity with custom-built tools, or similar experience?
>> While logic argues that they should --greater familiarity
>> should translate to improved efficiency and/or lower costs--
>> the effect could be similar to a permanent allocation to
>> Neustar/Foretec (unless they screw up), under conditions not
>> completely determined by the IASA, which might make many of
>> the efforts of the last few months somewhat irrelevant.
> 
> The organization will certainly be able to argue for lower
> transition costs and a less steep learning curve. I believe
> that it would be foolish not to allow them to make that
> argument.
> However, I (personally) think that there's value in flexible
> thinking about where resources are allocated - for instance,
> the transition team has briefly considered the option of
> making "permanent institutional memory" in the form of
> archives a separate task that is carried out outside the
> present "secretariat" framework - since Carl's reports
> indicate that this task may need a different skillset, and
> different resources, than the secretariat currently has.

And the transition team has concluded that it is appropriate to
postpone that decision, and action on it, for some "limited
period of time" (the rumor is that we are talking about one or
more years, not week or months and it would be helpful if you
could confirm or deny that).

>> (10)  I also wonder about the possible interactions between
>> this arrangement and the process of selecting an IAD.   If
>> the basic IASA design stays in place, as the note indicates,
>> the IAD is responsible to the IASA and the IETF for the
>> performance of the Secretariat operator (or, more
>> specifically, for the standards-support and meetings
>> functions).    Under the model as outlined in the draft BCP,
>> the IAD can presumably arrange the RFPs and contracts so as
>> to have adequate controls _in the judgment of whomever is the
>> IAD_ to make that level of responsibility feasible.  If the
>> IAD doesn't have any control over what is in those contracts,
>> but still have responsibility for performance, isn't that
>> going to make it much more difficult for us to persuade
>> someone competent (and sane) to take that position?   Do we
>> need to change the BCP to relax the IAD's responsibilities
>> for ensuring performance during the term of this
>> "arrangement"?
>> 
>> the duration of the Neustar arrangement) and does the job
>> really require a full-time person.
> 
> I believe the IAD should be negotiating those contracts, and
> that these contracts should have adequate controls. And I
> believe that this can EASILY consume a full-time employee.....

See Scott's note.

> In conclusion - I believe the Neustar arrangement does not
> lead to the need for changes to the BCP. We still need all the
> BCP mechanisms.

See my previous note.  It is my belief that, if the IAOC is to
consider a sole-source unsolicited proposal from Neustar,
without issuing an RFP and solicitation for competitive bids,
the BCP at least needs some modification to permit that
arrangement.  I don't oppose such a modification, but I do
oppose asking the IAD or IAOC, as their (nearly) first official
acts, to violate the principles in the BCP as written.

     john